CVE-2017-18197

NameCVE-2017-18197
DescriptionIn mxGraphViewImageReader.java in mxGraph before 3.7.6, the SAXParserFactory instance in convert() is missing flags to prevent XML External Entity (XXE) attacks, as demonstrated by /ServerView.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1299-1
NVD severityhigh (attack range: remote)
Debian Bugs891796

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libjgraphx-java (PTS)buster, sid, jessie, stretch2.1.0.7-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libjgraphx-javasource(unstable)(unfixed)low891796
libjgraphx-javasourcewheezy1.4.1.0-3+deb7u1highDLA-1299-1

Notes

[jessie] - libjgraphx-java <no-dsa> (Minor issue)
[stretch] - libjgraphx-java <no-dsa> (Minor issue)
https://github.com/jgraph/mxgraph/issues/124
https://bitbucket.org/jgraph/mxgraph2/commits/7d159ca3259b961cbb1c51b4ea42cb408c624ff1

Search for package or bug name: Reporting problems